ApiGenerateCmcaArguments (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiGenerateCmcaArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.BaseApiSshCmdArguments
  - - com.cloudera.api.swagger.model.ApiGenerateCmcaArguments

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiGenerateCmcaArguments
      extends BaseApiSshCmdArguments

  Arguments to generate a Cloudera Manager Certificate Authority (CMCA).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiGenerateCmcaArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiGenerateCmcaArguments` | `addAdditionalArgumentsItem(String additionalArgumentsItem)`
    `ApiGenerateCmcaArguments` | `addHostCertsItem(ApiHostCertInfo hostCertsItem)`
    `ApiGenerateCmcaArguments` | `additionalArguments(List<String> additionalArguments)`
    `ApiGenerateCmcaArguments` | `caCert(String caCert)`
    `ApiGenerateCmcaArguments` | `cmHostCert(String cmHostCert)`
    `ApiGenerateCmcaArguments` | `cmHostKey(String cmHostKey)`
    `ApiGenerateCmcaArguments` | `configureAllServices(Boolean configureAllServices)`
    `ApiGenerateCmcaArguments` | `customCA(Boolean customCA)`
    `boolean` | `equals(Object o)`
    `List<String>` | `getAdditionalArguments()` A list of additional arguments that can be passed to the certificate manager
    `String` | `getCaCert()` The certificate for the user-provided certificate authority in PEM format.
    `String` | `getCmHostCert()` The certificate for the CM host in PEM format.
    `String` | `getCmHostKey()` The private key for the CM host in PEM format.
    `List<ApiHostCertInfo>` | `getHostCerts()` A list of HostCertInfo objects, which associate a hostname with the corresponding certificate and private key.
    `String` | `getKeystorePasswd()` The password used for all Auto-TLS keystores.
    `String` | `getLocation()` The location on disk to store the CMCA directory.
    `String` | `getTrustedCaCerts()` A list of CA certificates that will be imported into the Auto-TLS truststore and distributed to all hosts.
    `String` | `getTruststorePasswd()` The password used for all Auto-TLS truststores.
    `int` | `hashCode()`
    `ApiGenerateCmcaArguments` | `hostCerts(List<ApiHostCertInfo> hostCerts)`
    `ApiGenerateCmcaArguments` | `interpretAsFilenames(Boolean interpretAsFilenames)`
    `Boolean` | `isConfigureAllServices()` Whether to configure all existing services to use Auto-TLS.
    `Boolean` | `isCustomCA()` Whether to generate an internal CMCA (false) or use user-provided certificates (true).
    `Boolean` | `isInterpretAsFilenames()` Whether the following arguments are interpreted as filenames local to the Cloudera Manager host (true, default) or as the actual data for that argument: * cmHostCert * cmHostKey * caCert * keystorePasswd * truststorePasswd * trustedCaCerts * hostCerts.hostCert * hostCerts.hostKey If HTTPS has not been enabled on the Cloudera Manager Admin Console and API, we *strongly* recommend that you pass the arguments as filenames local to the Cloudera Manager host (i.e.
    `ApiGenerateCmcaArguments` | `keystorePasswd(String keystorePasswd)`
    `ApiGenerateCmcaArguments` | `location(String location)`
    `void` | `setAdditionalArguments(List<String> additionalArguments)`
    `void` | `setCaCert(String caCert)`
    `void` | `setCmHostCert(String cmHostCert)`
    `void` | `setCmHostKey(String cmHostKey)`
    `void` | `setConfigureAllServices(Boolean configureAllServices)`
    `void` | `setCustomCA(Boolean customCA)`
    `void` | `setHostCerts(List<ApiHostCertInfo> hostCerts)`
    `void` | `setInterpretAsFilenames(Boolean interpretAsFilenames)`
    `void` | `setKeystorePasswd(String keystorePasswd)`
    `void` | `setLocation(String location)`
    `void` | `setTrustedCaCerts(String trustedCaCerts)`
    `void` | `setTruststorePasswd(String truststorePasswd)`
    `String` | `toString()`
    `ApiGenerateCmcaArguments` | `trustedCaCerts(String trustedCaCerts)`
    `ApiGenerateCmcaArguments` | `truststorePasswd(String truststorePasswd)`

    - ### Methods inherited from class com.cloudera.api.swagger.model.BaseApiSshCmdArguments

      `getPassphrase, getPassword, getPrivateKey, getSshPort, getUserName, passphrase, password, privateKey, setPassphrase, setPassword, setPrivateKey, setSshPort, setUserName, sshPort, userName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiGenerateCmcaArguments

          public ApiGenerateCmcaArguments()

  - ### Method Detail

    - #### location

          public ApiGenerateCmcaArguments location(String location)

    - #### getLocation

          public String getLocation()

      The location on disk to store the CMCA directory. If there is already a CMCA created there, it will be backed up, and a new one will be created in its place.
      Returns:
        location

    - #### setLocation

          public void setLocation(String location)

    - #### customCA

          public ApiGenerateCmcaArguments customCA(Boolean customCA)

    - #### isCustomCA

          public Boolean isCustomCA()

      Whether to generate an internal CMCA (false) or use user-provided certificates (true). When set to true (user-provided certificates), the following other arguments must be given: * cmHostCert * cmHostKey * caCert * keystorePasswd * truststorePasswd
      Returns:
        customCA

    - #### setCustomCA

          public void setCustomCA(Boolean customCA)

    - #### interpretAsFilenames

          public ApiGenerateCmcaArguments interpretAsFilenames(Boolean interpretAsFilenames)

    - #### isInterpretAsFilenames

          public Boolean isInterpretAsFilenames()

      Whether the following arguments are interpreted as filenames local to the Cloudera Manager host (true, default) or as the actual data for that argument: * cmHostCert * cmHostKey * caCert * keystorePasswd * truststorePasswd * trustedCaCerts * hostCerts.hostCert * hostCerts.hostKey If HTTPS has not been enabled on the Cloudera Manager Admin Console and API, we *strongly* recommend that you pass the arguments as filenames local to the Cloudera Manager host (i.e. set to true) to avoid leaking sensitive information over the wire in plaintext.
      Returns:
        interpretAsFilenames

    - #### setInterpretAsFilenames

          public void setInterpretAsFilenames(Boolean interpretAsFilenames)

    - #### cmHostCert

          public ApiGenerateCmcaArguments cmHostCert(String cmHostCert)

    - #### getCmHostCert

          public String getCmHostCert()

      The certificate for the CM host in PEM format. Only used if customCA == true.
      Returns:
        cmHostCert

    - #### setCmHostCert

          public void setCmHostCert(String cmHostCert)

    - #### cmHostKey

          public ApiGenerateCmcaArguments cmHostKey(String cmHostKey)

    - #### getCmHostKey

          public String getCmHostKey()

      The private key for the CM host in PEM format. Only used if customCA == true.
      Returns:
        cmHostKey

    - #### setCmHostKey

          public void setCmHostKey(String cmHostKey)

    - #### caCert

          public ApiGenerateCmcaArguments caCert(String caCert)

    - #### getCaCert

          public String getCaCert()

      The certificate for the user-provided certificate authority in PEM format. Only used if customCA == true.
      Returns:
        caCert

    - #### setCaCert

          public void setCaCert(String caCert)

    - #### keystorePasswd

          public ApiGenerateCmcaArguments keystorePasswd(String keystorePasswd)

    - #### getKeystorePasswd

          public String getKeystorePasswd()

      The password used for all Auto-TLS keystores. Only used if customCA == true.
      Returns:
        keystorePasswd

    - #### setKeystorePasswd

          public void setKeystorePasswd(String keystorePasswd)

    - #### truststorePasswd

          public ApiGenerateCmcaArguments truststorePasswd(String truststorePasswd)

    - #### getTruststorePasswd

          public String getTruststorePasswd()

      The password used for all Auto-TLS truststores. Only used if customCA == true.
      Returns:
        truststorePasswd

    - #### setTruststorePasswd

          public void setTruststorePasswd(String truststorePasswd)

    - #### trustedCaCerts

          public ApiGenerateCmcaArguments trustedCaCerts(String trustedCaCerts)

    - #### getTrustedCaCerts

          public String getTrustedCaCerts()

      A list of CA certificates that will be imported into the Auto-TLS truststore and distributed to all hosts.
      Returns:
        trustedCaCerts

    - #### setTrustedCaCerts

          public void setTrustedCaCerts(String trustedCaCerts)

    - #### additionalArguments

          public ApiGenerateCmcaArguments additionalArguments(List<String> additionalArguments)

    - #### addAdditionalArgumentsItem

          public ApiGenerateCmcaArguments addAdditionalArgumentsItem(String additionalArgumentsItem)

    - #### getAdditionalArguments

          public List<String> getAdditionalArguments()

      A list of additional arguments that can be passed to the certificate manager
      Returns:
        additionalArguments

    - #### setAdditionalArguments

          public void setAdditionalArguments(List<String> additionalArguments)

    - #### hostCerts

          public ApiGenerateCmcaArguments hostCerts(List<ApiHostCertInfo> hostCerts)

    - #### addHostCertsItem

          public ApiGenerateCmcaArguments addHostCertsItem(ApiHostCertInfo hostCertsItem)

    - #### getHostCerts

          public List<ApiHostCertInfo> getHostCerts()

      A list of HostCertInfo objects, which associate a hostname with the corresponding certificate and private key. Only used if customCA == true.
      Returns:
        hostCerts

    - #### setHostCerts

          public void setHostCerts(List<ApiHostCertInfo> hostCerts)

    - #### configureAllServices

          public ApiGenerateCmcaArguments configureAllServices(Boolean configureAllServices)

    - #### isConfigureAllServices

          public Boolean isConfigureAllServices()

      Whether to configure all existing services to use Auto-TLS. Defaults to false. If false, only MGMT services will be configured to use Auto-TLS. Use the cluster-level ConfigureAutoTlsServices command to configure Auto-TLS services for a single cluster only. All future services will be configured to use Auto-TLS regardless of this setting.
      Returns:
        configureAllServices

    - #### setConfigureAllServices

          public void setConfigureAllServices(Boolean configureAllServices)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `BaseApiSshCmdArguments`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `BaseApiSshCmdArguments`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `BaseApiSshCmdArguments`

Copyright © 2026. All rights reserved.